parameters:
  # Adds a fallback DATABASE_URL if the env var is not set.
  # This allows you to run cache:warmup even if your
  # environment variables are not available yet.
  # You should not need to change this value.
  env(DATABASE_URL): 'mysql://root:@127.0.0.1:3306/akita_api'

doctrine:
  dbal:
    # configure these for your database server
    driver: 'pdo_mysql'
    server_version: '5.7'
    charset: utf8mb4
    default_table_options:
      charset: utf8mb4
      collate: utf8mb4_unicode_ci

    url: '%env(DATABASE_URL)%'
    types:
      EnumFrequencyType:  App\Tools\DBAL\EnumFrequencyType
      EnumMessageDirectionType:  App\Tools\DBAL\EnumMessageDirectionType
      EnumLinkStatusType:  App\Tools\DBAL\EnumLinkStatusType
      EnumBillingStatusType: App\Tools\DBAL\EnumBillingStatusType
      EnumApprovementType: App\Tools\DBAL\EnumApprovementType
      EnumCampaignScheduleType: App\Tools\DBAL\EnumCampaignScheduleType
      EnumNoticePriorityType: App\Tools\DBAL\EnumNoticePriorityType
      EnumConclusionType: App\Tools\DBAL\EnumConclusionType
      EnumDomainUrlType: App\Tools\DBAL\EnumDomainUrlType
      EnumHttpProtocolType: App\Tools\DBAL\EnumHttpProtocolType
      EnumPasswordTokenTypeType: App\Tools\DBAL\EnumPasswordTokenTypeType
      EnumNegotiationMessageAttachContentType: App\Tools\DBAL\EnumNegotiationMessageAttachContentType
    mapping_types:
      enum: string
    schema_filter: '~^(?!messenger_messages)~'
  orm:
    auto_generate_proxy_classes: '%kernel.debug%'
    naming_strategy: doctrine.orm.naming_strategy.underscore
    auto_mapping: true
    mappings:
      App:
        is_bundle: false
        type: annotation
        dir: '%kernel.project_dir%/src/Entity'
        prefix: 'App\Entity'
        alias: App